Subject: Re: How to avoid Warning: Redefinition of ...
From: [email-masked] (Axel Riese)

19 Dec 1997 01:10:51 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 8bit
To: [email-masked] (GNU-Win32)

Hi Earnie !

> I found in the gcc.info file(s) in the Overall Option node a section on 
> switches about for warnings.  I believe that you want the 
> -Wno-redundant-decls switch.

> 
> -        \\||//
> ---o0O0--Earnie--0O0o----
> [email-masked]
> ------ooo0O--O0ooo-------

Unfortunatley, this does not work (btw, this option is the default).

- Axel

My original message:

> >Dear cygwiners,
> >
> >I managed to patch most of the headers from the latest Platform SDK to
> >make them useable for gcc (i.e., the preprocessor doesn't produce 
> errors).
> >
> >However, I came across the following problem: 
> >
> >A lot of header files typedef some symbols more than once, thus 
> producing
> >warnings like
> >
> > ... Warning: redefinition of blah_blah ...
> > ... blah_blah previously defined in ...
> >
> >
> >Is there a way to avoid these warnings that is not contained in the 
> following
> >list:
> >
> >- adding for each typedef something like #define blah_blah_defined and
> >  checking #ifndef blah_blah_defined ... #endif 
> >- forgetting about the Microsoft headers
> >- closing my eyes during preprocessing and ignoring the warnings
> >
> >
> >Any suggestions appreciated,
> >
> >    Axel
> >
> >

===========================================================================
Axel Riese
Research Institute for Symbolic Computation
J. Kepler University Linz
A-4040 Linz                          e-Mail: [email-masked]
Austria             URL: http://www.risc.uni-linz.ac.at/people/ariese/home/
===========================================================================
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".